# Copyright (C) 2024 Michael Becker  <alcexhim@gmail.com>
# 
# This file is part of Auralux.
# 
# Auralux is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Auralux is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Auralux.  If not, see <https://www.gnu.org/licenses/>.

---
- entityDefinitions:
  - IDC_FixtureType: '{b6a84f41-7069-426d-853a-5e345cea3ec8}'

  - IDR_Fixture_Type__has__Manufacturer: '{20a7429b-bd9a-4252-9f46-83026860f3b7}'
  - IDR_Manufacturer__for__Fixture_Type: '{c34f0b80-2b96-45ae-a858-ea844a40b250}'

  - IDI_FixtureType_ChauvetIntimidatorSpot250: '{183a251a-d0a7-46fd-9ddc-ceb893481489}'
  
- library: '&IDL_AuraluxCore;'
  instances:
  - class: '&IDC_FixtureType;'
    name: Fixture Type
    customTagName: fixtureType
    index: 30003
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'`
    relationships:
    - instance: '&IDR_Fixture_Type__has__Manufacturer;'
      customTagName: 'manufacturerId'

  - relationship: '&IDR_Fixture_Type__has__Manufacturer;'
    # index: 9
    sourceClassId: '&IDC_FixtureType;'
    type: 'has'
    destinationClassId: '&IDC_Manufacturer;'
    siblingRelationshipId: '&IDR_Manufacturer__for__Fixture_Type;'
    singular: yes

  - relationship: '&IDR_Manufacturer__for__Fixture_Type;'
    # index: 9
    sourceClassId: '&IDC_Manufacturer;'
    type: 'for'
    destinationClassId: '&IDC_FixtureType;'
    siblingRelationshipId: '&IDR_Fixture_Type__has__Manufacturer;'
    singular: no

  - fixtureType: '&IDI_FixtureType_ChauvetIntimidatorSpot250;'
    name: 'Intimidator Spot 250'
    manufacturerId: '&IDI_Manufacturer_Chauvet;'